import { APIClient } from "./ApiClient";

export interface DiskImage {}

export class DiskImageApi {
  /**
   * Upload a new disk image file to the server
   */
  static async Upload(
    file: File,
    progress: (progress: number) => void
  ): Promise<void> {
    const fd = new FormData();
    fd.append("file", file);

    await APIClient.exec({
      method: "POST",
      uri: "/disk_images/upload",
      formData: fd,
      upProgress: progress,
    });
  }

  /**
   * Get the list of disk images
   */
  static async GetList(): Promise<DiskImage[]> {
    // TODO
    return [];
  }
}
